package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 权力来源（法定本级行使.法定本级行使，上级下放.上级下放，上级授权.上级授权，同级授权.同级授权，上级委托.上级委托，同级委托.同级委托）枚举类
*
* @author zxfei
*/
public enum PowerSourceShowEnum {
    法定本级行使("法定本级行使", "法定本级行使"),
    上级下放("上级下放", "上级下放"),
    上级授权("上级授权", "上级授权"),
    同级授权("同级授权", "同级授权"),
    上级委托("上级委托", "上级委托"),
    同级委托("同级委托", "同级委托");
    private String value;
    private String desc;

    PowerSourceShowEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static PowerSourceShowEnum getByValue(String value) {
        for (PowerSourceShowEnum powerSourceShowEnum : PowerSourceShowEnum.values()) {
            if (powerSourceShowEnum.getValue() == value) {
                return powerSourceShowEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (PowerSourceShowEnum item : PowerSourceShowEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}